[24373] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23970 - trunk/debathena/config/zephyr-config/debian

daemon@ATHENA.MIT.EDU (Geoffrey Thomas)
Wed Aug 19 10:34:22 2009

X-Barracuda-Envelope-From: geofft@mit.edu
Date: Wed, 19 Aug 2009 10:34:11 -0400
From: Geoffrey Thomas <geofft@MIT.EDU>
Message-Id: <200908191434.n7JEYB7F005554@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: geofft
Date: 2009-08-19 10:34:11 -0400 (Wed, 19 Aug 2009)
New Revision: 23970

Modified:
   trunk/debathena/config/zephyr-config/debian/changelog
   trunk/debathena/config/zephyr-config/debian/debathena-zephyr-config.postinst
Log:
In zephyr-config:
  * Don't fail to configure the package if networking is unavailable and
    thus zhm can't restart.


Modified: trunk/debathena/config/zephyr-config/debian/changelog
===================================================================
--- trunk/debathena/config/zephyr-config/debian/changelog	2009-08-17 13:33:51 UTC (rev 23969)
+++ trunk/debathena/config/zephyr-config/debian/changelog	2009-08-19 14:34:11 UTC (rev 23970)
@@ -1,3 +1,10 @@
+debathena-zephyr-config (1.8) unstable; urgency=low
+
+  * Don't fail to configure the package if networking is unavailable and
+    thus zhm can't restart.
+
+ -- Geoffrey Thomas <geofft@mit.edu>  Wed, 19 Aug 2009 10:31:35 -0400
+
 debathena-zephyr-config (1.7) unstable; urgency=low
 
   * Update dependencies for zephyr 3.0.

Modified: trunk/debathena/config/zephyr-config/debian/debathena-zephyr-config.postinst
===================================================================
--- trunk/debathena/config/zephyr-config/debian/debathena-zephyr-config.postinst	2009-08-17 13:33:51 UTC (rev 23969)
+++ trunk/debathena/config/zephyr-config/debian/debathena-zephyr-config.postinst	2009-08-19 14:34:11 UTC (rev 23970)
@@ -25,9 +25,9 @@
 	start-stop-daemon --oknodo --stop --retry 5 --quiet --pidfile \
 	    /var/run/zhm.pid --name zhm
 	if hash invoke-rc.d; then
-	    invoke-rc.d zhm restart
+	    invoke-rc.d zhm restart || :
 	else
-	    /etc/init.d/zhm restart
+	    /etc/init.d/zhm restart || :
 	fi
     ;;
 


home help back first fref pref prev next nref lref last post